Bug 654429 - Facts and Identity commands should be clear when not registered
Summary: Facts and Identity commands should be clear when not registered
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta 654430
TreeView+ depends on / blocked
 
Reported: 2010-11-17 20:33 UTC by Bryan Kearney
Modified: 2011-05-19 13:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 654430 (view as bug list)
Environment:
Last Closed: 2011-05-19 13:37:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 0 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Bryan Kearney 2010-11-17 20:33:24 UTC
If you are not registered, and you run either the facts or the identity commands the output should tell you to explicity run register with --username and --password

Comment 2 Ajay Kumar Nadathur Sreenivasan 2010-11-18 17:41:14 UTC
Fix in:
 git show-ref master
37e772897d7c791ac7b077ba031ce4f20534388c refs/heads/master
37e772897d7c791ac7b077ba031ce4f20534388c refs/remotes/origin/master

Comment 4 John Sefler 2010-11-19 21:07:43 UTC
[root@jsefler-onprem01 ~]# rpm -q subscription-manager
subscription-manager-0.93.1-1.git.82.283c328.fc12.i386

[root@jsefler-onprem01 ~]# subscription-manager unregister
This system is currently not registered.

[root@jsefler-onprem01 ~]# subscription-manager identity
Consumer not registered. Please register using --username and --password
[root@jsefler-onprem01 ~]# subscription-manager identity --regenerate
Consumer not registered. Please register using --username and --password
[root@jsefler-onprem01 ~]# subscription-manager identity --username=testuser1 --password=password
Consumer not registered. Please register using --username and --password

[root@jsefler-onprem01 ~]# subscription-manager facts
Consumer not registered. Please register using --username and --password
[root@jsefler-onprem01 ~]# subscription-manager facts --list
Consumer not registered. Please register using --username and --password
[root@jsefler-onprem01 ~]# subscription-manager facts --update
Consumer not registered. Please register using --username and --password
[root@jsefler-onprem01 ~]# subscription-manager facts --update --list
Consumer not registered. Please register using --username and --password

moving to VERIFIED

Comment 6 errata-xmlrpc 2011-05-19 13:37:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.